#include <iostream>
#include <vector>
using namespace std;

int main() {
    int N, L;
    cin >> N >> L;

    vector<int> H(N);
    for (int i = 0; i < N; i++) {
        cin >> H[i];
    }

    
    for (int i = 0; i < N; i++) {
        if (H[i] <= L) { 
            cout << i + 1 << endl; 
        }
    }


    cout << -1 << endl;
    return 0;
}